function  arrow=tip1(v,width);
% tip(v,width)
% v should be a 2x1 vector
% The output is a 2x4 matrix so that plot(arrow(1,:),arrow(2,:)) will draw 
% a hollow arrowhead on  v  (or  fill(arrow(1,:),arrow(2,:),'b') will draw 
% a solid blue arrowhead on v).  Bruce Yoshiwara, modified by J. Day, 11/96 
v=reshape(v,2,1);
t=atan2(-v(2,1),-v(1,1));
r = norm(v,'inf')/4; 
if nargin > 1, 
        if r<width/4
        r=r/2;
        else
        r=width/6;
        end
end
slant=.3;
w1=[cos(t+slant) sin(t+slant)];  w1=reshape(w1,2,1);  %ensure w1,v same shape 
w2=[cos(t-slant); sin(t-slant)];  w2=reshape(w2,2,1);
one=v+r*w1;
two=v+r*w2;
arrow=[v one two v];






